Loading...
Searching...
No Matches
Gfx::LightProgression Struct Reference

Describes the progression of light parameters change. More...

`#include <src/graphics/engine/lightman.h>`

## Public Member Functions

void | Init (float value)
| Initializes the progression.
void | Update (float rTime)
| Updates the progression.
void | SetTarget (float value)
| Sets the new end value (starting is set to current).

## Public Attributes

float | starting
| Starting value.
float | ending
| Ending (destination) value.
float | current
| Current value.
float | progress
| Progress from start to end.
float | speed
| Speed of progression.

## Detailed Description

Describes the progression of light parameters change.

## Member Function Documentation

## Init()

void Gfx::LightProgression::Init | ( | float | value | ) |

Initializes the progression.

## Update()

void Gfx::LightProgression::Update | ( | float | rTime | ) |

Updates the progression.

## SetTarget()

void Gfx::LightProgression::SetTarget | ( | float | value | ) |

Sets the new end value (starting is set to current).

## Member Data Documentation

## starting

float Gfx::LightProgression::starting

Starting value.

## ending

float Gfx::LightProgression::ending

Ending (destination) value.

## current

float Gfx::LightProgression::current

Current value.

## progress

float Gfx::LightProgression::progress

Progress from start to end.

## speed

float Gfx::LightProgression::speed

Speed of progression.

The documentation for this struct was generated from the following files:

- src/graphics/engine/lightman.h
- src/graphics/engine/lightman.cpp